"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ban_record_1 = require("../../models/ban-record");
exports.default = async (req, res) => {
    if (req.user.roles.intBanRecordsReader) {
        const records = await ban_record_1.default.getAll();
        res.send({ records });
    }
    else {
        res.status(403).send({ error: 'Access denied' });
    }
};
//# sourceMappingURL=ban-records-list.js.map